/* Login forms */
.wpb-woocommerce-login-form {padding: 4rem 0;}
@media (min-width: 992px) {
    .wpb-woocommerce-login-form {padding: 8rem 0;}
}

.wpb-woocommerce-myaccount-content {padding: 2rem 0;}
.wpb-woocommerce-myaccount-content .u-columns {margin-top: 2rem;}
@media (min-width: 992px) {
    .wpb-woocommerce-myaccount-content {padding: 4rem 0;}
}

.wpb-header__woocommerce {padding-top: 2rem;}
@media (min-width: 992px) {
    .wpb-header__woocommerce {padding-top: 4rem;}
}


/* Badged */
.badge.badge-pending { --color: var(--wpb-orange); --bg-color: var(--wpb-orange), .15; }
.badge.badge-completed { --color: var(--wpb-green); --bg-color: var(--wpb-green), .15; }
.badge.badge-processing { --color: var(--wpb-blue); --bg-color: var(--wpb-blue), .15; }
.badge.badge-on-hold { --color: var(--wpb-orange); --bg-color: var(--wpb-orange), .15; }
.badge.badge-cancelled { --color: var(--wpb-red); --bg-color: var(--wpb-red), .15; }

@media (min-width: 768px) {
    .woocommerce .col2-set, .woocommerce-page .col2-set { --gc: 2; }
}


@media (min-width: 992px) {
    .woocommerce .input-text:not(.qty) { min-height: 5rem; }
}


.wc_payment_method.payment_method_wux_mollie > label {display: none;}


@media (min-width: 576px) {
    .woocommerce-order-overview{ --gc: 3; gap: 1rem; }
}
@media (min-width: 992px) {
    .wpb-header.wpb-header__order-received {padding: 3.2rem 0;}
    .woocommerce-order { padding-bottom: 3.2rem; }
    .woocommerce-order-overview > li{ padding: 2rem; }
}

@media (min-width: 768px) {
    .woocommerce-order-pay form { --gc: 2; }
}

/*** ---------- My account ---------- ***/
.password-input { display: block; position: relative; }

.woocommerce-Input.input-text,
.woocommerce-input-wrapper .input-text,
.woocommerce-form input.input-text {
    --mh: 5rem; --fs: 1.4rem; --p: 1.6rem; --border: 1px solid rgb(var(--wpb-border)); --br: .6rem; font-size: var(--fs); min-height: var(--mh); padding: 0 var(--p); border: var(--border); border-radius: var(--br); width: 100%; transition: border-color var(--ts-25) ease;
    &:is(:focus, :focus-within){ outline: none !important; border-color: rgb(var(--wpb-dark), .5); }
}

.woocommerce-form-login { display: grid; } 
.woocommerce-form-login > * + * { margin-top: 1em; }
.woocommerce-form-login :is(label, input) { width: 100%; }
.woocommerce-form-login .form-row:not(.form-row-wide) { display: flex; align-items: center; }
.woocommerce-form-login label span { margin-left: .5rem; }

.woocommerce-form-register { display: grid; } 
.woocommerce-form-register > * + * { margin-top: 1em; }
.woocommerce-form-register :is(label, input) { width: 100%; }
.woocommerce-form-register .form-row:not(.form-row-wide) { display: flex; align-items: center; justify-content: end; }


/* .woocommerce-account__content .inner { display: -ms-grid; display: grid; -webkit-column-gap: 3.2rem; -moz-column-gap: 3.2rem; column-gap: 3.2rem; row-gap: 3.2rem; -webkit-box-align: start; -ms-flex-align: start; align-items: start; } */

.woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--customer-logout a {border-color: rgba(var(--wpb-red)); color: rgba(var(--wpb-red));}

.show-password-input {display: none;}
.woocommerce-ResetPassword {width: 100%!important; max-width: 600px!important; background-color: #fff; border-radius: .8rem; padding: 2.4rem;}
.woocommerce-ResetPassword > * + * { margin-top: 1em; }
.woocommerce-ResetPassword :is(label, input) { width: 100%; } 
.woocommerce-EditAccountForm .woocommerce-password-strength,
.woocommerce-ResetPassword .woocommerce-password-strength {font-size: 1.4rem; margin-top: .5rem;}
.woocommerce-EditAccountForm .woocommerce-password-strength.short,
.woocommerce-ResetPassword .woocommerce-password-strength.short {color: rgba(var(--wpb-red));}
.woocommerce-EditAccountForm .woocommerce-password-strength.bad,
.woocommerce-ResetPassword .woocommerce-password-strength.bad {color: rgba(var(--wpb-red));}
.woocommerce-EditAccountForm .woocommerce-password-strength.good,
.woocommerce-ResetPassword .woocommerce-password-strength.good {color: rgba(var(--wpb-orange));}
.woocommerce-EditAccountForm .woocommerce-password-strength.strong,
.woocommerce-ResetPassword .woocommerce-password-strength.strong {color: rgba(var(--wpb-green));}
.woocommerce-EditAccountForm .woocommerce-password-hint,
.woocommerce-ResetPassword .woocommerce-password-hint { font-size: 1.2rem; margin-top: .5rem; line-height: 1.2; display: inline-block; font-weight: 600; }
.u-columns { display: grid; grid-template-columns: repeat(var(--gc), minmax(0, 1fr)); gap: 3.2rem; }

#customer_login h2 { margin-bottom: 1.6rem; }

.u-column2.col-2 {grid-column: span 1;}
#customer_login .woocommerce-form-register p {font-size: 13px;}
#customer_login .woocommerce-form__label-for-checkbox input {width: fit-content;}

@media (min-width: 768px) {
    .woocommerce-ResetPassword { width: 50%; margin-left: auto; margin-right: auto; }
}

@media (min-width: 992px) {
    #customer_login { column-gap: 4.8rem; }
}

@media (min-width: 1200px) {
    #customer_login { column-gap: 6.4rem; }
}

/* My account : navigation */
.woocommerce-MyAccount-navigation ul { list-style: none; display: flex; flex-wrap: wrap; column-gap: .8rem; row-gap: .5rem; }
.woocommerce-MyAccount-navigation ul li a { text-decoration: none; font-weight: 600!important; min-height: 4.1rem; padding: 0 2.2rem; border: .1rem solid rgb(var(--wpb-border)); border-radius: 0.6rem; display: flex; align-items: center; transition: color var(--ts-15) ease, border-color var(--ts-15) ease, background-color var(--ts-15) ease; }
.woocommerce-MyAccount-navigation ul li a:hover, 
.woocommerce-MyAccount-navigation ul li.is-active a { color: rgb(var(--wpb-blue)); background-color: rgba(var(--wpb-blue), .15); border-color: transparent; }

/* My account : orders */
.wpb-card.wpb-card__order { border: 1px solid rgba(var(--wpb-border)); }
.wpb-card.wpb-card__order .wpb-card__body { display: flex; flex-direction: column; }
.wpb-card.wpb-card__order .order-number * { font-weight: 700; color: rgb(var(--wpb-headings)); font-size: clamp(1.6rem, 4vw, 2.8rem); }
.wpb-card.wpb-card__order .order-details { display: flex; flex-wrap: wrap; align-items: center; justify-content: space-between; }
.wpb-card.wpb-card__order .order-total { font-size: 1.4rem; }
.wpb-card.wpb-card__order .order-total .amount { --global-lh: 1; color: rgb(var(--wpb-headings)); display: block; font-weight: 700; font-size: clamp(1.4rem, 4vw, 1.8rem); line-height: 1; }
.wpb-card.wpb-card__order .order-total .amount * { color: rgb(var(--wpb-headings)); font-weight: 700; font-size: clamp(1.4rem, 4vw, 1.8rem); }
.wpb-card.wpb-card__order .order-status { order: 1; }
.wpb-card.wpb-card__order .wpb-card__body:nth-child(1) { flex-grow: 0; display: grid; grid-template-columns: 1fr auto; align-items: start; }
.wpb-card.wpb-card__order .wpb-card__body:nth-child(1) .btn { --padding: 0 1.6rem; order: 1; }
.wpb-card.wpb-card__order .wpb-card__body:nth-child(1) .btn .btn-icon { --width: 1.6rem; --height: 1.6rem; } 
.wpb-card.wpb-card__order .wpb-card__body:nth-child(2) { padding-top: 0; }
.wpb-card.wpb-card__order .wpb-card__footer .btn { width: 100%; }

.woocommerce-order-details {margin-top: 3.2rem;}
.woocommerce-order-details .inner {display: grid; grid-template-columns: 1fr; row-gap: 2rem;}

.woocommerce-order-details *:not(.btn) { color: rgb(var(--wpb-headings)); }
.woocommerce-order-details mark { background: rgba(var(--wpb-blue), .5); }
.woocommerce-order-details .shop_table { display: -ms-grid; display: grid; border-radius: 0!important; border: 0!important; margin: 0 0 1.6rem 0!important; }
.woocommerce-order-details .shop_table thead tr { display: grid; grid-template-columns: 1fr auto; }
.woocommerce-order-details .shop_table thead th { border: none; }
.woocommerce-order-details .shop_table thead th.woocommerce-table__product-name { text-align: left; }

.woocommerce-order-details .shop_table tbody { border: 1px solid rgb(var(--wpb-border)); display: -ms-grid; display: grid; grid-template-columns: repeat(1, minmax(0, 1fr)); border-radius: .6rem; }
.woocommerce-order-details .shop_table tbody tr { display: grid; grid-template-columns: 1fr auto; }
.woocommerce-order-details .shop_table tbody tr td { border: none; }
.woocommerce-order-details .shop_table tbody tr td a { font-weight: 700; }

.woocommerce-order-details .shop_table tfoot { --global-fs: 1.6rem; padding-top: 1.6rem; display: -webkit-box; display: -ms-flexbox; display: flex; flex-direction: column; width: 100%; border-top: 1px solid rgba(var(--wpb-border-color)); margin-top: 1.6rem; }
.woocommerce-order-details .shop_table tfoot tr { display: -webkit-box; display: -ms-flexbox; display: flex; -webkit-box-pack: justify; -ms-flex-pack: justify; justify-content: space-between; padding-bottom: .8rem; }
.woocommerce-order-details .shop_table tfoot th { padding: 0!important; border: none!important; font-weight: 400; }
.woocommerce-order-details .shop_table tfoot td { padding: 0!important; text-align: right; border: none!important; }
.woocommerce-order-details .shop_table tfoot td .tax_label { display: none; }
.woocommerce-order-details .shop_table tfoot td ul { list-style: none; }
.woocommerce-order-details .shop_table tfoot tr.shipping ul li { margin: 0!important; }
.woocommerce-order-details .shop_table tfoot tr.order-total { padding-top: 1.6rem; border-top: 1px solid rgba(var(--wpb-border)); margin-top: 1rem; }
.woocommerce-order-details .shop_table tfoot tr.order-total th { font-size: 2rem!important; font-weight: 700!important; }
.woocommerce-order-details .shop_table tfoot tr.order-total td * { font-size: 2rem!important; font-weight: 700!important; }
.woocommerce-order-details .shop_table tfoot .woocommerce-Price-amount { color: rgb(var(--wpb-headings)); font-weight: 700!important; }
.woocommerce-order-details .shop_table tfoot .woocommerce-Price-amount * { color: rgb(var(--wpb-headings)); font-weight: 700!important; }
.woocommerce-order-details .wpb-card .wpb-card__body{ padding: 0; }

@media (min-width: 992px) {
    .woocommerce-order-details .inner {grid-template-columns: 1fr 32rem; column-gap: 6.4rem;}
}


.woocommerce-order .wpb-card:has(.woocommerce-customer-details) .wpb-card__body{ padding: 0; }
.woocommerce-order .wpb-card:has(.woocommerce-customer-details) { padding-bottom: 3.2rem; }

.woocommerce-customer-details .woocommerce-columns { display: flex; flex-direction: column; row-gap: 1.6rem; }
.woocommerce-customer-details .woocommerce-column h2 { font-size: 2rem; margin-bottom: 1.2rem; }
.woocommerce-customer-details .woocommerce-column address { color: rgb(var(--wpb-headings)); font-style: normal; border: 1px solid rgb(var(--wpb-border)); border-radius: .6rem; padding: 1.4rem; }
.woocommerce-account.woocommerce-view-order .woocommerce-MyAccount-content > p { margin-bottom: 1.6rem; }
.woocommerce-account .woocommerce-pagination { padding-top: 3.2rem; display: flex; justify-content: center; }

.woocommerce-table--order-details thead { display: none; }
.woocommerce-table--order-details .woocommerce-table__line-item { position: relative; padding: 1rem; }
.woocommerce-table--order-details .woocommerce-table__line-item + .woocommerce-table__line-item { border-top: 1px solid rgb(var(--wpb-border)); } 
.woocommerce-table--order-details .woocommerce-table__line-item .product-quantity { position: absolute; top: 1.2rem; right: 1.2rem; background-color: rgb(var(--wpb-blue)); color: #fff; border-radius: .8em; padding: 0 0.5rem; }  
.woocommerce-table--order-details .woocommerce-table__line-item .wc-item-meta li { --global-fs: 1.2rem; display: grid; grid-template-columns: minmax(0, 1fr) minmax(0, 1fr); column-gap: .6rem; }
.woocommerce-table--order-details .woocommerce-table__line-item .product-total { padding: 3.2rem 0 0 0; font-weight: 700; }
.woocommerce-table--order-details .woocommerce-table__line-item .product-name { display: flex; flex-direction: column; align-items: start; padding: 0 0 0 8rem; }
.woocommerce-table--order-details .woocommerce-table__line-item .product-name .item-thumbnail { position: absolute; width: 6rem; top: 2rem; bottom: 2rem; left: 2rem; }
.woocommerce-table--order-details .woocommerce-table__line-item .product-name .item-thumbnail img { width: 100%; max-height: 100%; max-width: 5rem; object-fit: contain; }

.woocommerce-account.woocommerce-edit-address .woocommerce-Address-title { display: flex; justify-content: space-between; margin-bottom: 1.2rem; }
.woocommerce-account.woocommerce-edit-address .woocommerce-Address-title h2 { font-size: 2rem; }
.woocommerce-account.woocommerce-edit-address .woocommerce-Address-title a { font-weight: 600!important; text-decoration: none; min-height: 3.2rem; padding: 0 1.6rem; border: 0.1rem solid rgb(var(--wpb-border)); border-radius: .8rem; display: flex; align-items: center; transition: color var(--ts-15) ease, border-color var(--ts-15) ease, background-color var(--ts-15) ease; }
.woocommerce-account.woocommerce-edit-address .woocommerce-Address-title a:hover { border-color: rgb(var(--wpb-border-dark)); }
.woocommerce-account.woocommerce-edit-address address { color: rgb(var(--wpb-headings)); font-style: normal; border: 1px solid rgb(var(--wpb-border)); border-radius: .6rem; padding: 1.4rem; }

@media (min-width: 992px) {
    .woocommerce-account.woocommerce-view-order .woocommerce-MyAccount-content { display: grid; grid-template-columns: minmax(0, 1fr) minmax(0, 36rem); align-items: start; column-gap: 3.2rem; }
    .woocommerce-account.woocommerce-view-order .woocommerce-MyAccount-content > p { grid-column: span 2; margin-bottom: 2.4rem; }
}

/*** ---------- Woocommerce order received ---------- ***/
.woocommerce-order-received .woocommerce-info { margin-bottom: 1.6rem; }
.woocommerce-order-received .woocommerce-order-overview { margin-bottom: 2.2rem; }
.woocommerce-order-received .woocommerce-table__line-item { position: relative; padding: 1rem; }
.woocommerce-order-received .woocommerce-table__line-item + .woocommerce-table__line-item { border-top: 1px solid rgb(var(--wpb-border)); } 
.woocommerce-order-received .woocommerce-table__line-item .product-quantity { position: absolute; top: 1.2rem; right: 1.2rem; background-color: rgb(var(--wpb-blue)); color: #fff; border-radius: 3rem; padding: 0 0.5rem; }
.woocommerce-order-received .woocommerce-table__line-item .wc-item-meta { padding-left: 1.8rem; }   
.woocommerce-order-received .woocommerce-table__line-item .product-total { padding: 3.2rem 0 0 0; font-weight: 700; }
.woocommerce-order-received .woocommerce-customer-details .woocommerce-columns > * { grid-column: span 1; }

@media (min-width: 992px) {
    .woocommerce-order-received .is-thankyou .container { display: grid; grid-template-columns: minmax(0, 1fr) minmax(0, 36rem); align-items: start; column-gap: 3.2rem; }
    .woocommerce-order-received .is-thankyou .container > p { grid-column: span 2; margin-bottom: 1.8rem; }
    .woocommerce-order-received .woocommerce-order-overview + p { grid-column: span 1; }
    .woocommerce-order-received .is-thankyou .container > .wpb-card { grid-column-start: 2; grid-row-start: 2; grid-row-end: 5; }
    .woocommerce-order-received .woocommerce-order-overview { margin-top: 0; }
}

.woocommerce-EditAccountForm, .woocommerce-address-fields__field-wrapper, .woocommerce-address-fields__field-wrapper { display: grid; -ms-grid-columns: minmax(0, 1fr) 2.2rem minmax(0, 1fr); grid-template-columns: repeat(2, minmax(0, 1fr)); -webkit-column-gap: 1.8rem; -moz-column-gap: 1.8rem; column-gap: 1.8rem; row-gap: 1.8rem; }
.woocommerce-EditAccountForm .woocommerce-form-row.woocommerce-form-row--wide, .woocommerce-address-fields__field-wrapper .woocommerce-form-row.woocommerce-form-row--wide, .woocommerce-address-fields__field-wrapper .woocommerce-form-row.woocommerce-form-row--wide { grid-column: span 2; }
.woocommerce-EditAccountForm .clear, .woocommerce-address-fields__field-wrapper .clear, .woocommerce-address-fields__field-wrapper .clear { display: none; }
.woocommerce-EditAccountForm fieldset, .woocommerce-address-fields__field-wrapper fieldset, .woocommerce-address-fields__field-wrapper fieldset { --padding: 2rem; border: 1px solid rgb(var(--wpb-border)); background-color: #fff; border-radius: var(--border-radius); padding: var(--padding); display: -ms-grid; display: grid; grid-template-columns: repeat(2, minmax(0, 1fr)); gap: 2.2rem; grid-column: span 2; border-radius: .5rem; }

.wpb-woocommerce-myaccount-content form > h2 {margin-bottom: 1.6rem;}


.wpb-lost-password-confirm {padding: 8rem 0;}